<node-header-page page="shop"></node-header-page>
<mat-spinner style="margin-bottom: 300px;" class="container text-center" *ngIf="!loading"></mat-spinner>
<div class="tab-content container" id="pills-tabContent" *ngIf="loading">
    <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
        <div class="row grid-view theme1">
            <div class="col-sm-6 col-md-4 mb-30" *ngFor="let product of products">
                <div class="card product-card">
                    <div class="card-body">
                        <div class="product-thumbnail position-relative">
                            <span class="badge badge-danger top-right">New</span>
                            <div [routerLink]="['/single-product', product._id]">
                                <img class="first-img" width="420" [src]="product.image" alt="thumbnail">
                            </div>
                            <!-- product links -->
                            <ul class="product-links d-flex justify-content-center">

                                <li>
                                    <a href="#" data-toggle="modal" data-target="#quick-view">
                                        <span data-toggle="tooltip" data-placement="bottom" title="Quick view" class="icon-magnifier"></span>
                                    </a>
                                </li>
                            </ul>
                            <!-- product links end-->
                        </div>
                        <div class="product-desc py-0">
                            <h3 class="title"><a href={{ product.name }}>{{ product.name }}</a></h3>
                            <div class="star-rating">
                                <span class="ion-ios-star"></span>
                                <span class="ion-ios-star"></span>
                                <span class="ion-ios-star"></span>
                                <span class="ion-ios-star"></span>
                                <span class="ion-ios-star de-selected"></span>
                            </div>
                            <div class="d-flex align-items-center justify-content-between">
                                <h6 class="product-price">{{ product.price/100 | currency:'MGA' }}</h6>
                                <button class="pro-btn" data-toggle="modal" data-target="#add-to-cart"><i class="icon-basket"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- product-list End -->
            </div>
        </div>
    </div>
</div>
